#!/usr/bin/env bash

echo "Enter Movie Title:"

read -r title

mkdir "../$title/temp"

HandBrakeCLI -i "../$title/$title - 4k.mkv" -o "../$title/temp/handbrake.mkv" -f av_mkv -m -e x265_10bit --encoder-preset slower -q 20 --encoder-profile auto --all-audio -E copy --audio-copy-mask aac,eac3,dts,ac3,truehd,dtshd,mp3 --crop-mode auto --auto-anamorphic --all-subtitles

mkvmerge --output "../$title/$title - 4k Subs.mkv" -S --no-chapters "../$title/temp/handbrake.mkv" --default-track-flag 0:no --language 0:en "../$title/$title.en.srt" -A -D -B -T -M --no-global-tags "../$title/temp/handbrake.mkv"
